---
layout: docs
page_title: aliases read - Command
description: >-
  The "aliases read" command retrieves the details of an alias resource.
---

# aliases read

Command: `aliases read`

The `aliases read` command lets you read the details of an alias with a given ID.

## Example

This example reads the details of an alias with the ID `alt_1234567890`:

```shell-session
$ boundary aliases read -id alt_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary aliases read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the alias you want to read.

@include 'cmd-option-note.mdx'